> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-ko/content/entity-types/outfits.md).

# 의상

복장은 플레이어가 저장한 복장입니다. 복장은 몸체 형태, 피부, 머리카락, 눈, 착용 아이템 설정으로 구성됩니다.

### 포인터 <a href="#pointers" id="pointers"></a>

의상 [pointers](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md) 소유자의 이더리움 주소에 "" 접미사가 붙은 것입니다. 예를 들면:`:outfits`" 접미사가 붙은 것입니다. 예를 들면:

```
0x210c4415d6a71195af76beef9b85dd0eb43f35df:outfits
```

### 메타데이터 필드

| 필드                   | 값                                                          |
| -------------------- | ---------------------------------------------------------- |
| `outfits`            | 각 복장의 설명 배열입니다(아래 참조).                                     |
| `namesForExtraSlots` | 추가 슬롯 검증에 사용되는 보유 이름 배열입니다. 보유한 이름마다 최대 5개까지 추가 슬롯이 부여됩니다. |

### 의상

각 복장은 `metadata.outfits[]` 사용자의 복장을 나타내며, 여러 속성을 가집니다:

| 필드   | 값                 |
| ---- | ----------------- |
| `슬롯` | 저장된 복장의 슬롯 번호입니다. |
| `복장` | 저장된 복장입니다(아래 참조). |

예:

```json
{
  "slot": 1,
  "outfit": {
    // 아래 참조
  }
}
```

#### 복장 필드

이 `metadata.outfits[].outfit` 이 필드에는 플레이어의 복장을 저장하고 렌더링하는 데 필요한 모든 정보가 있습니다.

| 필드       | 값                                                                                                                                             |
| -------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| `몸체 형태`  | 이 [포인터](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md) 아바타의 몸체 형태 엔티티에 해당합니다.                                 |
| `눈`      | 다음을 가진 객체: `색상` 다음 형식의 `{ r, g, b }` 아바타의 눈을 위한 객체입니다.                                                                                        |
| `머리카락`   | 다음을 가진 객체: `색상` 다음 형식의 `{ r, g, b }` 아바타의 머리카락을 위한 객체입니다.                                                                                     |
| `피부`     | 다음을 가진 객체: `색상` 다음 형식의 `{ r, g, b }` 아바타의 피부를 위한 객체입니다.                                                                                       |
| `착용 아이템` | 다음의 배열입니다 [착용 아이템 포인터](https://github.com/decentraland/docs/blob/main/contributor/entity-types/wearables/README.md#pointers) 아바타가 사용 중인 것입니다. |

예를 들면:

```json
{
  "bodyShape": "urn:decentraland:off-chain:base-avatars:BaseMale",
  "eyes": {
    "color": { "r": 0.37109375, "g": 0.22265625, "b": 0.1953125 }
  },
  "hair": {
    "color": { "r": 0.234375, "g": 0.12890625, "b": 0.04296875 }
  },
  "skin": {
    "color": { "r": 0.80078125, "g": 0.609375, "b": 0.46484375 }
  },
  "wearables": [
    "urn:decentraland:off-chain:base-avatars:eyes_00",
    "urn:decentraland:off-chain:base-avatars:eyebrows_00",
    "urn:decentraland:off-chain:base-avatars:mouth_00",
    "urn:decentraland:off-chain:base-avatars:m_mountainshoes.glb",
    "urn:decentraland:off-chain:base-avatars:sport_jacket",
    "urn:decentraland:off-chain:base-avatars:brown_pants",
    "urn:decentraland:off-chain:base-avatars:aviatorstyle",
    "urn:decentraland:off-chain:base-avatars:casual_hair_03",
    "urn:decentraland:off-chain:base-avatars:Mustache_Short_Beard"
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decentraland.org/contributor/contributor-ko/content/entity-types/outfits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
